Hooks:PostHook(PlayerEquipment, "throw_grenade", "ZdannHUD_ThrowGrenade", function(self)
	local grenade_id = managers.blackmarket:equipped_grenade()
	local grenade_name = managers.localization:text(tweak_data.blackmarket.projectiles[grenade_id].name_id) or "throwable"
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " threw their " .. grenade_name .. ".", Color('FF0000'))
end)

Hooks:PostHook(PlayerEquipment, "use_first_aid_kit", "ZdannHUD_FirstAidKit", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " placed a First Aid Kit.", Color('FF0000'))
end)

Hooks:PostHook(PlayerEquipment, "use_doctor_bag", "ZdannHUD_DoctorBag", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " placed a Doctor Bag.", Color('FF0000'))
end)

Hooks:PostHook(PlayerEquipment, "use_ammo_bag", "ZdannHUD_AmmoBag", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " placed an Ammo Bag.", Color('FF0000'))
end)

Hooks:PostHook(PlayerEquipment, "use_armor_kit", "ZdannHUD_ArmorBag", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " used their Armor Bag.", Color('FF0000'))
end)

Hooks:PostHook(PlayerEquipment, "use_bodybags_bag", "ZdannHUD_BodyBagCase", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " placed a Body Bag Case.", Color('FF0000'))
end)

Hooks:PostHook(PlayerEquipment, "use_ecm_jammer", "ZdannHUD_ECMJammer", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " placed an ECM Jammer.", Color('FF0000'))
end)

Hooks:PostHook(PlayerEquipment, "use_sentry_gun", "ZdannHUD_SentryGun", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " placed a Sentry Gun.", Color('FF0000'))
end)

Hooks:PostHook(PlayerEquipment, "use_trip_mine", "ZdannHUD_TripMine", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " placed a Trip Mine.", Color('FF0000'))
end)