Hooks:PostHook(RaycastWeaponBase, "fire", "ZdannHUD_FiredWeapon", function(self)
	local weap_name = managers.weapon_factory:get_weapon_name_by_weapon_id(self._name_id) or "weapon"
	local is_player = self._setup.user_unit == managers.player:player_unit()
	if is_player then
		managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " fired their " .. weap_name .. ".", Color('FF0000'))
	end
end)

Hooks:PostHook(RaycastWeaponBase, "start_reload", "ZdannHUD_StartReload", function(self)
	local weap_name = managers.weapon_factory:get_weapon_name_by_weapon_id(self._name_id) or "weapon"
	local is_player = self._setup.user_unit == managers.player:player_unit()
	if is_player then
		managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " started to reload their " .. weap_name .. ".", Color('FF0000'))
	end
end)

Hooks:PostHook(RaycastWeaponBase, "on_reload", "ZdannHUD_FinishReload", function(self)
	local weap_name = managers.weapon_factory:get_weapon_name_by_weapon_id(self._name_id) or "weapon"
	local is_player = self._setup.user_unit == managers.player:player_unit()
	if is_player then
		managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " finished reloading their " .. weap_name .. ".", Color('FF0000'))
	end
end)